Risultati da 1 a 5 di 5

Discussione: VB6 & Tolleranze DFT

  1. #1
    Utente Junior
    Iscritto dal
    2009
    Messaggi
    23
    Professione
    Impiegato
    Regione
    italia
    Software
    Solid Edge

    Predefinito VB6 & Tolleranze DFT

    Salve a tutti !

    Vorrei sapere come si fa da codice VB6 ad inserire le tolleranze ad una quota su DFT.

    Grazie anticipatamente, Fabrizio

    Solid Edge v15
    Ultima modifica di zed1976; 13-05-2009 alle 12: 49 Motivo: inserimento versione

  2. #2
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2766
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Dovrebbe essere qualcosa del genere, nell'SDK ci sono tutti i riferimenti.

    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objDimension As SolidEdgeFrameworkSupport.Dimension

    Set ObjApp = GetObject(, "SolidEdge.Application")
    Set ObjDoc = objApp.ActiveDocument

    Set objDimension = ObjDoc.SelectSet.Item(1)
    objDimension.DisplayType = igDimDisplayTypeClassPlusMinus
    Ciao
    Ultima modifica di Be_on_edge; 13-05-2009 alle 15: 13
    Francesco
    Cintura nera di solid edge

  3. #3
    Utente Junior
    Iscritto dal
    2009
    Messaggi
    23
    Professione
    Impiegato
    Regione
    italia
    Software
    Solid Edge

    Predefinito

    Grazie, sto incominciando ora ad interfacciare VB6 con SE qui in azienda.
    Dove posso trovarlo SDK di SE ? Noi qua ne siamo sprovvisti.
    ciao e grazie !!

  4. #4
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2766
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da zed1976 Visualizza Messaggio
    Grazie, sto incominciando ora ad interfacciare VB6 con SE qui in azienda.
    Dove posso trovarlo SDK di SE ? Noi qua ne siamo sprovvisti.
    ciao e grazie !!
    Nel menù "?" la voce, programmazione con solid edge.

    Nella cartela

    c:\programmi\solid edge Vxx\Custom\

    ci sono anche molti esempi.

    Ho fatto una modifica al codice, per funzionare devi avere solid edge avviato con un disegno aperto con una quota selezionata.

    Ciao
    Francesco
    Cintura nera di solid edge

  5. #5
    Utente Junior
    Iscritto dal
    2009
    Messaggi
    23
    Professione
    Impiegato
    Regione
    italia
    Software
    Solid Edge

    Predefinito

    Grazie 1000 Francesco,ho visto gli esempi di codice !!

    Mi hai risolto molte 'grane'..... grazie veramente !!!


  • Discussioni Simili

    1. Tolleranze con WF4
      Di dema nel forum Creo Parametric - Messa in tavola
      Risposte: 11
      Ultimo Messaggio: 15-03-2012, 14: 45
    2. Tolleranze e tolleranze posizionali
      Di reggio nel forum Progettazione meccanica - forum generale
      Risposte: 17
      Ultimo Messaggio: 20-02-2011, 13: 30
    3. Tolleranze
      Di Ande nel forum Solidworks
      Risposte: 21
      Ultimo Messaggio: 09-12-2008, 17: 47
    4. Tolleranze non UNI
      Di sciuste nel forum Solidworks
      Risposte: 1
      Ultimo Messaggio: 18-07-2008, 23: 42
    5. tolleranze
      Di proj nel forum Progettazione meccanica - forum generale
      Risposte: 15
      Ultimo Messaggio: 07-02-2008, 10: 42

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti